package com.chenyang.nse.bussiness.thread;

import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDatasystem;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationFile;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.Desensitizationtarget;
import java.util.Map;

public class ExecuteParam {
   private String taskNameReal;
   private String isPrimary;
   private String isIndex;
   private InfoProperty infoProperty;
   private String taskid;
   private String dataSourceId;
   private String dataTargetId;
   private String folderName;
   private String sourceFileDir;
   private String tragetFileDir;
   private TCoreDatasystem sourceDataSystem;
   private TCoreDatasystem targetDataSystem;
   private String sourceDbType;
   private String targetDbType;
   private String sourceSchemaName;
   private String targetSchemaName;
   private String sourcetype;
   private String targettype;
   private String loadscripttype;
   private String tablesuffix;
   private String tableprefix;
   private Desensitizationtarget desensitizationtarget;
   private DesensitizationFile desensitizationFile;
   private Long groupId;
   private String dataProcessType;
   private Map<String, String> tableMap;

   public Long getGroupId() {
      return this.groupId;
   }

   public void setGroupId(Long groupId) {
      this.groupId = groupId;
   }

   public DesensitizationFile getDesensitizationFile() {
      return this.desensitizationFile;
   }

   public void setDesensitizationFile(DesensitizationFile desensitizationFile) {
      this.desensitizationFile = desensitizationFile;
   }

   public Desensitizationtarget getDesensitizationtarget() {
      return this.desensitizationtarget;
   }

   public void setDesensitizationtarget(Desensitizationtarget desensitizationtarget) {
      this.desensitizationtarget = desensitizationtarget;
   }

   public String getTablesuffix() {
      return this.tablesuffix;
   }

   public void setTablesuffix(String tablesuffix) {
      this.tablesuffix = tablesuffix;
   }

   public String getTableprefix() {
      return this.tableprefix;
   }

   public void setTableprefix(String tableprefix) {
      this.tableprefix = tableprefix;
   }

   public String getSourcetype() {
      return this.sourcetype;
   }

   public void setSourcetype(String sourcetype) {
      this.sourcetype = sourcetype;
   }

   public String getTargettype() {
      return this.targettype;
   }

   public void setTargettype(String targettype) {
      this.targettype = targettype;
   }

   public String getTaskNameReal() {
      return this.taskNameReal;
   }

   public void setTaskNameReal(String taskNameReal) {
      this.taskNameReal = taskNameReal;
   }

   public String getIsPrimary() {
      return this.isPrimary;
   }

   public void setIsPrimary(String isPrimary) {
      this.isPrimary = isPrimary;
   }

   public String getIsIndex() {
      return this.isIndex;
   }

   public void setIsIndex(String isIndex) {
      this.isIndex = isIndex;
   }

   public InfoProperty getInfoProperty() {
      return this.infoProperty;
   }

   public void setInfoProperty(InfoProperty infoProperty) {
      this.infoProperty = infoProperty;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getDataSourceId() {
      return this.dataSourceId;
   }

   public void setDataSourceId(String dataSourceId) {
      this.dataSourceId = dataSourceId;
   }

   public String getDataTargetId() {
      return this.dataTargetId;
   }

   public void setDataTargetId(String dataTargetId) {
      this.dataTargetId = dataTargetId;
   }

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String folderName) {
      this.folderName = folderName;
   }

   public String getSourceFileDir() {
      return this.sourceFileDir;
   }

   public void setSourceFileDir(String sourceFileDir) {
      this.sourceFileDir = sourceFileDir;
   }

   public TCoreDatasystem getSourceDataSystem() {
      return this.sourceDataSystem;
   }

   public void setSourceDataSystem(TCoreDatasystem sourceDataSystem) {
      this.sourceDataSystem = sourceDataSystem;
   }

   public TCoreDatasystem getTargetDataSystem() {
      return this.targetDataSystem;
   }

   public void setTargetDataSystem(TCoreDatasystem targetDataSystem) {
      this.targetDataSystem = targetDataSystem;
   }

   public String getSourceDbType() {
      return this.sourceDbType;
   }

   public void setSourceDbType(String sourceDbType) {
      this.sourceDbType = sourceDbType;
   }

   public String getTargetDbType() {
      return this.targetDbType;
   }

   public void setTargetDbType(String targetDbType) {
      this.targetDbType = targetDbType;
   }

   public String getSourceSchemaName() {
      return this.sourceSchemaName;
   }

   public void setSourceSchemaName(String sourceSchemaName) {
      this.sourceSchemaName = sourceSchemaName;
   }

   public String getTargetSchemaName() {
      return this.targetSchemaName;
   }

   public void setTargetSchemaName(String targetSchemaName) {
      this.targetSchemaName = targetSchemaName;
   }

   public Map<String, String> getTableMap() {
      return this.tableMap;
   }

   public void setTableMap(Map<String, String> tableMap) {
      this.tableMap = tableMap;
   }

   public String getLoadscripttype() {
      return this.loadscripttype;
   }

   public void setLoadscripttype(String loadscripttype) {
      this.loadscripttype = loadscripttype;
   }

   public String getTragetFileDir() {
      return this.tragetFileDir;
   }

   public void setTragetFileDir(String tragetFileDir) {
      this.tragetFileDir = tragetFileDir;
   }

   public String getDataProcessType() {
      return this.dataProcessType;
   }

   public void setDataProcessType(String dataProcessType) {
      this.dataProcessType = dataProcessType;
   }

   public String toString() {
      return "ExecuteParam [taskNameReal=" + this.taskNameReal + ", isPrimary=" + this.isPrimary + ", isIndex=" + this.isIndex + ", infoProperty=" + this.infoProperty + ", taskid=" + this.taskid + ", dataSourceId=" + this.dataSourceId + ", dataTargetId=" + this.dataTargetId + ", folderName=" + this.folderName + ", sourceFileDir=" + this.sourceFileDir + ", tragetFileDir=" + this.tragetFileDir + ", sourceDataSystem=" + this.sourceDataSystem + ", targetDataSystem=" + this.targetDataSystem + ", sourceDbType=" + this.sourceDbType + ", targetDbType=" + this.targetDbType + ", sourceSchemaName=" + this.sourceSchemaName + ", targetSchemaName=" + this.targetSchemaName + ", sourcetype=" + this.sourcetype + ", targettype=" + this.targettype + ", loadscripttype=" + this.loadscripttype + ", tablesuffix=" + this.tablesuffix + ", tableprefix=" + this.tableprefix + ", desensitizationtarget=" + this.desensitizationtarget + ", desensitizationFile=" + this.desensitizationFile + ", groupId=" + this.groupId + ", tableMap=" + this.tableMap + "]";
   }
}
